# Vanilla Redemption Gear

A little side project I did. Replaces vanilla weapons with [Redemption](https://gtfo.thunderstore.io/package/ProjectZaero/Redemption/) gear, nerfed to be closer to vanilla weapon balance.

Since vanilla has an imbalance of damage output and damage per refill biased toward special weapons, while Redemption does not, some liberties had to be taken. The weapons should be between vanilla primary and special weapons in effectiveness and efficiency, erring on the side of primaries' lower stats since all Redemption weapons have 2 innate pierce and higher crit multipliers.

An extra Player datablock with [Vanilla Plus](https://gtfo.thunderstore.io/package/ProjectZaero/Vanilla_Plus/) stamina, health regen, and fall damage rebalancing is packaged with the mod and can be manually installed if desired. 

## Patch Notes

**V1.5.1**

- Experimental Recoil Tuning
  - Assault Rifle: Recoil begins increasing sooner.
  - Battle Rifle: Recoil begins increasing sooner.
  - Heavy Machinegun: Recoil begins increasing later and caps sooner. Increased recoil at cap.
  - Precision Rifle: Adjusted recoil. Low initial recoil, rapidly increases with continuous fire. Now has horizontal recoil at cap.
  - Quadrail SMG: Recoil begins decreasing later and caps sooner.
  - Shrapnel Machinegun: Recoil caps sooner. Increased recoil at cap.
  - Tactical Rifle: Recoil begins increasing and caps sooner. Reduced delay before recoil begins decreasing.
  - The Grinder: Recoil begins increasing and caps sooner. Lowered recoil at cap.

**V1.5.0**

- Gear Balance
  - The Grinder
    - Damage: 2.25 -> 2.5
    - Shot Delay: 0.05 -> 0.055
    - Mag Size: 40 -> 36
    - Reserve Ammo: 333 -> 300
    - Reload Time: 1.2s -> 1.1s

[Experimental]
- Adjusted recoil on non-semi-automatic weapons using ExtraRecoilData to give them more unique behavior.
- Assault Rifle & Battle Rifle: Lower initial recoil, recoil increases with continuous fire and becomes much less predictable.
- The Grinder: Lower initial recoil, recoil increases with continuous fire.
- Tactical Rifle: Very low initial recoil, recoil rapidly increases with continuous fire.
- Quadrail SMG & Heavy Machinegun: Recoil decreases with continuous fire.
- Shrapnel Machinegun: Less predictable and higher initial recoil, recoil decreases significantly with continuous fire.

**V1.4.0**

Melee weapons synced to Vanilla Plus (time to start charging reduced across all melee weapons).

Blanket nerfs across the board to damage on sustained fire weapons. Damage economy remains similar.

- Assault Rifle
  - Damage: 2.5 -> 2.25
  - Reserve Ammo: 300 -> 333
- Battle Rifle
  - Damage: 4 -> 3.6
  - Reserve Ammo: 185 -> 220
- Compact Pistol
  - Damage: 5 -> 4.5
  - Mag Size: 20 -> 15
- Heavy Machinegun
  - Damage: 3.4 -> 3
  - Mag Size: 56 -> 60
  - Reserve Ammo: 220 -> 250
- Impaler
  - Mag Size: 8 -> 6
- Precision Rifle
  - Damage: 6 -> 5.5
  - Reserve Ammo: 124 -> 136
- Quadrail SMG
  - Damage: 2.1 -> 1.9
  - Reserve Ammo: 380 -> 400
- Shockwave
  - Damage: 2x10 -> 1.8x10
  - Reserve Ammo: 50 -> 52
- Shrapnel Machinegun
  - Damage: 2.5 -> 2.25
  - Reserve Ammo: 330 -> 366
- Tactical Rifle
  - Damage: 4 -> 3.6
  - Reserve Ammo: 210 -> 232
- The Grinder
  - Damage: 2.5 -> 2.25
  - Reserve Ammo: 300 -> 333

**V1.3.0**

- Combat Sniper
  - Reserve Ammo: 22 -> 24
- Shockwave
  - Reserve Ammo: 45 -> 50
- Shrapnel Machinegun 
  - Damage: 2.45 -> 2.5 (was lower than intended)
- Surefire
  - Damage: 3.3x10 -> 3x10
  - Reserve Ammo: 30 -> 35
- Tactical Rifle
  - Reserve Ammo: 200 -> 210

**V1.2.0**

- Fixed Evade cooldown
- Heavy Machinegun
  - Reload Time 3.4s -> 2.6s (unnerf reload cancel)
- Tactical Rifle
  - Crit: 1x -> 1.2x

**V1.1.0**
- Update to R8 (fix Heavy MG visuals and evade)
- Updated melee balancing to match Vanilla Plus

**V1.0.0**
- Release

### Changes

### Melees

Vanilla Plus melee weapons are used instead of Redemption melee weapons, as they already achieve a desired level of balance and Hatchet has no balanced niche in vanilla.

### Guns

#### Assault Rifle

- Damage: 3 -> 2.25
- Crit: 1.75x -> 1x
- Stagger: 1.329x -> 1x
- Range: 20-99m -> 16-80m
- Reserve Ammo: 400 -> 333
- Reload Time: 1.9s -> 2s

#### Combat Sniper

- Reserve Ammo: 40 -> 24

#### Compact Pistol

- Damage: 6 -> 4.5
- Crit: 2x -> 1.25x
- Stagger: 1.67x -> 1.5x
- Range: 9.5-40m -> 8.5-40m
- Mag Size: 20 -> 15
- Reserve Ammo: 204 -> 150

#### Heavy Machinegun

- Damage: 4 -> 3
- Crit: 1.5x -> 1x
- Range: 20-80m -> 13-70m
- Reserve Ammo: 300 -> 250
- Reload Time: 2.05s -> 2.6s

#### Surefire

- Damage: 4x10 -> 3x10
- Crit: 1.5x -> 1x
- Stagger: 1.25x -> 1x
- Range: 12-50m -> 6.5-30m
- Reserve Ammo: 40 -> 35

#### Tactical Rifle

- Damage: 4.4 -> 3.6
- RPM: 630 -> 600
- Crit: 1.75x -> 1.2x
- Stagger: 1.136x -> 1x
- Range: 16-80m -> 15-70m
- Magazine Size: 36 -> 33
- Reserve Ammo: 300 -> 232

#### The Grinder

- Damage: 3 -> 2.5
- RPM: 1200 -> 1090
- Crit: 1.75x -> 1x
- Stagger: 1.2x -> 1x
- Range: 8.5-50m -> 7-50m
- Mag Size: 40 -> 36
- Reserve Ammo: 400 -> 300
- Reload Time: 0.9s -> 1.1s
- Swapped flashlight to 13m range (Heavy AR/Bullpup Flashlight)

#### Battle Rifle

- Damage: 5 -> 3.6
- Crit: 1.75x -> 1x
- Stagger: 1.2x -> 1x
- Range: 20-99m -> 16-80m
- Magazine Size: 28 -> 25
- Reserve Ammo: 240 -> 220
- Reload Time: 1.9s -> 2s

#### Impaler

- Damage: 16 -> 12.5
- Crit: 1.5x -> 1x
- Stagger: 1.56x -> 1.5x
- Range: 9.5-40m -> 8.5-40m
- Mag Size: 8 -> 6
- Reserve Ammo: 80 -> 64
- Reload Time: 1.3s -> 1.6s

#### Precision Rifle

- Damage: 7.9 -> 5.5
- Crit: 1.5x -> 1x
- Stagger: 1.58x -> 1.5x
- Range: 18-80m -> 15-70m
- Reserve Ammo: 155 -> 136
- Reload Time: 1.62s -> 1.8s

#### Quadrail SMG

- Damage: 2.3 -> 1.9
- Crit: 2.5x -> 1.75x
- Stagger: 1.3x -> 1x
- Range: 10-55m -> 9-50m
- Magazine Size: 90 -> 80
- Reserve Ammo: 544 -> 400

#### Shockwave

- Damage: 2x12 -> 1.8x10
- Crit: 1.3x -> 1x
- Stagger: 3x -> 2x
- Range: 10-50m -> 6.5-50m
- Reserve Ammo: 60 -> 52

#### Shrapnel Machinegun

- Damage: 3 -> 2.25
- Crit: 1.75x -> 1x
- Stagger: 1.2x -> 1x
- Range: 11-55m -> 9-50m
- Reserve Ammo: 440 -> 366
- Reload Time: 2.725s -> 3.5s
- Swapped flashlight to 13m range (Heavy AR/Bullpup Flashlight)

### Tools

Vanilla Biotracker, C-Foam Launcher, and Mine Deployer are preserved. All sentries are replaced by Assault Sentry.

#### Assault Sentry

- Damage: 2 -> 1.7
- Reserve Ammo: 500 -> 350
- Starting Ammo: 200 -> 233